# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Interface/Makefile.am 2404 2020-02-17 15:46:08Z depa $

include $(top_srcdir)/config/all.mk

SLICE_INC += -I$(top_srcdir)/src/lbto/

uidir=$(datadir)/ui/Ltcs/

SLICE_INC += -I$(srcdir)/Interface

# package installed library
pkglib_LTLIBRARIES = libLtcsIifStar_NiceType.la

# header installed in package subdir
libLtcsIifStar_NiceType_ladir = $(includedir)/shins/

nobase_libLtcsIifStar_NiceType_la_HEADERS =  \
        Ltcs/Iif/Iif2fitsKw.h \
        Ltcs/Iif/IifStation.h \
        Ltcs/Iif/IifInstrum.h \
        Ltcs/Iif/IifSide.h \
        Ltcs/Iif/IifStar.h \
        Ltcs/Iif/IifStarcat.h 

libLtcsIifStar_NiceType_la_SOURCES =  \
        Ltcs/Iif/IifStarVar.nice \
        Ltcs/Iif/Iif2fitsKw.cc \
        Ltcs/Iif/IifInstrum.cc \
        Ltcs/Iif/IifStation.cc \
        Ltcs/Iif/IifSide.cc \
        Ltcs/Iif/IifStar.cc \
        Ltcs/Iif/IifStarcat.cc 

libLtcsIifStar_NiceType_la_LIBADD =  -lsofa_c \
        -lLbtoIIFIceInterface $(BASDA_VINO_LIBS) $(BASDA_LIBS) \
        $(NICE_LIBS) $(XERCES_C_LIB)

libLtcsIifStar_NiceType_la_LDFLAGS = -Wl,--no-undefined \
        -version-info $(LIBRARY_VERSION) $(IIF_LDFLAGS) \
        $(BASDA_LDFLAGS) $(BOOST_LDFLAGS) $(NICE_LDFLAGS) $(CFITSIO_LDFLAGS)

libLtcsIifStar_NiceType_la_CXXFLAGS = -I$(top_srcdir)/src/iif/Interface/  \
	-I$(top_srcdir)/src/lbto/ \
	$(IIF_CXXFLAGS) $(CFITSIO_CFLAGS) \
        $(BASDA_CXXFLAGS) $(NICE_CXXFLAGS) $(PYTHON_INCLUDE_DIR) \
        $(BOOST_CPPFLAGS) $(ICE_CXXFLAGS)

################################################################################
# package installed library
pkglib_LTLIBRARIES += libLtcsIifService_NiceType.la

libLtcsIifService_NiceType_la_SOURCES = Ltcs/Iif/ServiceWorker.basda Ltcs/Iif/PropertyName.cc

nobase_libLtcsIifService_NiceType_la_HEADERS = Ltcs/Iif/PropertyName.h

# header installed in package subdir
libLtcsIifService_NiceType_ladir      = $(includedir)/shins/

libLtcsIifService_NiceType_la_LIBADD  = $(BASDA_VINO_LIBS) \
                                        $(BASDA_LIBS) \
                                        $(NICE_LIBS) \
                                        $(ICE_LIBS) \
                                        $(BOOST_SYSTEM_LIB) \
                                        $(BOOST_PYTHON_LIB) \
                                        $(CFITSIO_LIBS) \
                                        $(IIF_LIBS)

libLtcsIifService_NiceType_la_LDFLAGS = -Wl,--no-undefined \
                                        -version-info \
                                        ${LIBRARY_VERSION} \
                                        $(BASDA_VINO_LDFLAGS) \
                                        $(BASDA_LDFLAGS) \
                                        $(NICE_LDFLAGS) \
                                        $(ICE_LDFLAGS) \
                                        $(BOOST_SYSTEM_LDFLAGS) \
                                        $(BOOST_LDFLAGS) \
                                        $(CFITSIO_LDLAGS) $(IIF_LDFLAGS)

libLtcsIifService_NiceType_la_CXXFLAGS = -I$(top_srcdir)/src/lbto/ \
					 $(IIF_CXXFLAGS) \
                                         $(BASDA_CXXFLAGS) \
                                         $(NICE_CXXFLAGS) \
                                         $(ICE_CXXFLAGS) \
                                         $(CFITSIO_CFLAGS) \
                                         $(IIF_CXXFLAGS) \
                                         $(BOOST_CPPFLAGS) \
                                         $(PYTHON_INCLUDE_DIR)

libLtcsIifService_NiceType_la_DEPENDENCIES = libLtcsIifStar_NiceType.la

pkgpyexec_LTLIBRARIES = LtcsIifProperties.la LtcsIifStarcat.la

install_pyexecLTLIBRARIES = install-pyexecLTLIBRARIES
$(install_pyexecLTLIBRARIES): install-libLTLIBRARIES

################################################################################
LtcsIifProperties_la_SOURCES = Ltcs/Iif/PropertyName.cc

LtcsIifProperties_la_LDFLAGS = -avoid-version -module \
                               -module -Wl,--no-undefined \
                               $(BOOST_LDFLAGS)

LtcsIifProperties_la_CXXFLAGS = $(BASDA_CXXFLAGS) \
                                $(BOOST_CPPFLAGS) \
                                $(PYTHON_INCLUDE_DIR)

LtcsIifProperties_la_LIBADD =   $(BOOST_PYTHON_LIB)

LtcsIifProperties_la_DEPENDENCIES = libLtcsIifService_NiceType.la


################################################################################
LtcsIifStarcat_la_SOURCES = Ltcs/Iif/IifStarcatPythonWrapper.cc

LtcsIifStarcat_la_LIBADD = $(LBCS_IIF_LIBS) -lLtcsIifStar_NiceType -lLbtoIIFIceInterface \
        $(BASDA_LIBS) $(NICE_LIBS) $(BOOST_PYTHON_LIB) \
        $(PYTHON_LIBS) $(NICEPY_LIBS) \
        $(BOOST_SYSTEM_LIB) $(ICE_LIBS)

LtcsIifStarcat_la_LDFLAGS = -avoid-version \
        -module -Wl,--no-undefined \
        $(BASDA_LDFLAGS) $(ICE_LDFLAGS) \
        $(NICE_LDFLAGS) $(BOOST_LDFLAGS) $(BOOST_SYSTEM_LDFLAGS) \
        $(PYTHON_INCLUDE_DIR) $(LIBRARY_VERSION) $(CFITSIO_LDFLAGS)

LtcsIifStarcat_la_CXXFLAGS = $(BASDA_CXXFLAGS) $(BOOST_CPPFLAGS) \
        $(NICE_CXXFLAGS) $(IIF_CXXFLAGS) -I$(top_srcdir)/src/lbto/ \
        $(PYTHON_INCLUDE_DIR)

LtcsIifStarcat_la_DEPENDENCIES = libLtcsIifStar_NiceType.la

################################################################################
## Qt ##
## Qt ##
## Qt ##
################################################################################

pkglib_LTLIBRARIES += libLtcsIifServiceWidget_NiceTypeQt.la

nodist_libLtcsIifServiceWidget_NiceTypeQt_la_SOURCES = \
        libLtcsIifServiceWidget_NiceTypeQt_la.moc.cc \
         Ltcs/Iif/ServiceWorkerQt.cc

libLtcsIifServiceWidget_NiceTypeQt_la_SOURCES        = \
        Ltcs/Qt/Iif/ServiceWidget.cc \
         Ltcs/Qt/Iif/ServiceWidget.h \
         Ltcs/Qt/Iif/ServiceWidgetUI.ui

libLtcsIifServiceWidget_NiceTypeQt_ladir             = \
         $(includedir)/shins/

libLtcsIifServiceWidget_NiceTypeQt_la_LIBADD         = \
        -lLtcsIifService_NiceType \
         -lBasdaServiceStateIcons \
         -lBasdaServiceState_NiceTypeQt \
         $(LAOS_DROT_LIBS) \
         $(BASDA_MOC_LIBS) \
         $(BASDA_LIBS) \
         $(NICE_LIBS) \
         $(NICEQT_LIBS) \
         $(ICE_LIBS) \
         $(BOOST_SYSTEM_LIB) \
         $(QT4_LIBS_ALL) \
         $(IIF_LIBS) \
         $(CFITSIO_LIBS)

libLtcsIifServiceWidget_NiceTypeQt_la_LDFLAGS        = \
         -Wl,--no-undefined \
         -version-info \
         ${LIBRARY_VERSION} \
         $(IIF_LDFLAGS) \
         $(NICE_LDFLAGS) \
         $(NICEQT_LDFLAGS) \
         $(BOOST_SYSTEM_LDFLAGS) \
         $(QT4_LDFLAGS) \
         $(CFITSIO_LDLAGS)

libLtcsIifServiceWidget_NiceTypeQt_la_CXXFLAGS = -I$(top_srcdir)/src/lbto/ \
					  $(IIF_CXXFLAGS) \
                                          $(BASDA_CXXFLAGS) \
                                          $(NICE_CXXFLAGS) \
                                          $(ICE_CXXFLAGS) \
                                          $(CFITSIO_CFLAGS) \
                                          $(QT4_CXXFLAGS) \
                                          $(PYTHON_INCLUDE_DIR)

libLtcsIifServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
         libLtcsIifService_NiceType.la

dist_ui_DATA = Ltcs/Qt/Iif/Iif.ui
